Subject: Re: bug#33513: 26.1; emacsclient forgetting keybinds set by tty-setup-hook

From: Hadrien Lacour <[email-masked]>
Date: Thu, 26 Nov 2020 16:32:49 +0100

On Thu, Nov 26, 2020 at 01:22:42PM +0100, Lars Ingebrigtsen wrote:
> Hadrien Lacour <[email-masked]> writes:
>
> > (define-key input-decode-map "^[[1;5A" [C-up])
>
> [...]
>
> > I get the keybinds I want when using emacs -nw with st, but when using
> > emacs --daemon and emacsclient, these work only the first time:
> > $ emacs --daemon
> > $ emacsclient -nw myfile # no problem, close with C-x C-c
> > $ emacsclient -nw myfile # from here, tty frames don't remember the bindings
>
> (This bug report unfortunately got no response at the time.)
>
> What key stroke is "^[[1;5A" (etc) representing?
>

Hello

as the line says, "Ctrl + Up arrow". I think I stopped used emacsclient because
of this, actually.

Regards